import { Observable } from 'rxjs';
import { Extractor } from '../interfaces/Extractor';
/**
 * Extractor that reads a JSON file at a given filepath. The path is resolved relatively to the running tasks root dir.
 */
export declare class JsonExtractor implements Extractor {
    private filePath;
    constructor(filePath: string);
    read(): Observable<any>;
}
