"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConsoleLoader = void 0;
const rxjs_1 = require("rxjs");
/**
 * Loader that outputs everything to the console.
 *
 * @export
 * @class ConsoleLoader
 * @implements {Loader}
 */
class ConsoleLoader {
    write(object) {
        console.log(object);
        return (0, rxjs_1.of)(object);
    }
}
exports.ConsoleLoader = ConsoleLoader;
