"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MapTransformer = void 0;
const rxjs_1 = require("rxjs");
class MapTransformer {
    constructor(transformer) {
        this.transformer = transformer;
    }
    process(observable, context) {
        return observable.pipe((0, rxjs_1.mergeMap)((o) => this.transformer.process(o, context)));
    }
}
exports.MapTransformer = MapTransformer;
