import { Observable } from 'rxjs';
import { GeneralTransformer } from '../interfaces/GeneralTransformer';
export declare abstract class MatchMergeTransformer implements GeneralTransformer {
    process(observable: Observable<any>, context?: any): Observable<any>;
    protected abstract match(o1: any, o2: any, context?: any): boolean;
    protected abstract merge(o1: any, o2: any, context?: any): any;
    private matchMerge;
}
